View Issue Details

IDProjectCategoryView StatusLast Update
0004129Talerbank (demonstrator)public2018-04-15 20:34
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.5Fixed in Version0.5 
Summary0004129: bank test api missing
DescriptionThe (test/demo) bank should have a simple but well-defined and documented API to create coins without having to run JavaScript.

This facilitates automatic testing of the wallet.
TagsNo tags attached.

Relationships

related to 0004130 closedMarcello Stanisci merchant test api missing 

Activities

Christian Grothoff

2017-03-18 23:45

manager   ~0011943

I think to be more precise, what you want is an API to send money to an exchange, given a wire transfer subject, right?

Marcello Stanisci

2017-03-21 15:06

manager   ~0011960

The bank already goes JS-free, therefore you can create coins (with the
wallet of course!) having JS disabled. But I guess you meant something different.

Marcello Stanisci

2017-03-30 11:33

manager   ~0011997

Here's my version, coming from yesterday's discussion with Christian:

we want to improve the current bank's /admin/add/incoming API such that
whenever the recipient is an exchange, the bank calls that exchange's
/admin/add/incoming in order to create a reserve.

A second point is that whoever calls bank's /admin/add/incoming has to
include username+password in the POSTed data. This way, we get rid of
the problem about restricting the access to the /admin interface, or we
can even combine the two: restrict access to /admin AND authenticate the
caller.

Marcello Stanisci

2017-03-30 18:18

manager   ~0012002

Last edited: 2017-03-30 18:18

View 2 revisions

As of commit c743f49, this API takes a "username" and "password" field from
the POSTed data, and authenticates the caller.

Marcello Stanisci

2017-12-23 11:24

manager   ~0012702

This is largely done. The tool 'taler-bank-transfer' issues
wire transfers from the command line, and the exchange polls
its bank account in order to create reserves whenever it gets
money.

Issue History

Date Modified Username Field Change
2016-01-11 02:53 Florian Dold New Issue
2016-01-11 02:55 Florian Dold Relationship added related to 0004130
2016-01-21 09:04 Christian Grothoff Severity minor => feature
2016-01-21 09:04 Christian Grothoff Status new => confirmed
2016-01-21 09:04 Christian Grothoff Product Version => 0.0
2016-01-22 23:19 Christian Grothoff Target Version => 0.2
2016-01-22 23:48 Christian Grothoff Target Version 0.2 => 0.6
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004304
2016-05-04 06:51 Christian Grothoff Target Version 0.6 => 0.3
2017-03-18 23:44 Christian Grothoff Assigned To => Marcello Stanisci
2017-03-18 23:44 Christian Grothoff Status confirmed => assigned
2017-03-18 23:44 Christian Grothoff Target Version 0.3 =>
2017-03-18 23:45 Christian Grothoff Note Added: 0011943
2017-03-21 15:06 Marcello Stanisci Note Added: 0011960
2017-03-30 11:33 Marcello Stanisci Note Added: 0011997
2017-03-30 18:18 Marcello Stanisci Note Added: 0012002
2017-03-30 18:18 Marcello Stanisci Note Edited: 0012002 View Revisions
2017-04-02 00:48 Christian Grothoff Target Version => 0.6
2017-12-23 11:24 Marcello Stanisci Status assigned => resolved
2017-12-23 11:24 Marcello Stanisci Resolution open => fixed
2017-12-23 11:24 Marcello Stanisci Note Added: 0012702
2017-12-28 17:28 Christian Grothoff Fixed in Version => 0.5
2017-12-28 17:28 Christian Grothoff Target Version 0.6 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed